<?php

// (Shirai075): fs_moodleの設定を表示するメニューをサイト管理に追加 (2008/07/21)

// ------------------------------------------------------------
pagecheck();
// ------------------------------------------------------------

function fsconfig_check_wikiSettings()
{
    global $fsCFG;
    print_section_header('Wikiに関する設定');
    print_subsection_header_fs_cfg('ewiki_image_maxsize');
    echo '　バイナリファイルのアップロードを許可されたWikiのコンテンツにおいて';
    echo 'ユーザがアップロード可能なバイナリファイル（画像ファイル）の最大値を変更できます．';
    echo 'オリジナルのMoodleでは最大値が64KBに設定されており，それよりも大きな画像をアップロードした場合は';
    echo 'リサイズ機能によって自動的にファイルサイズを小さく変換してくれます．';
    echo 'ただし，自動でリサイズされた画像の画質はかなり悪化します．';
    echo '学生にはフォトレタッチソフト等で適当な画質にレタッチすることを勧めるべきでしょう．';
    newline();
    echo '　制限値をあまり大きな値にすると無駄に大きな画素数／無駄に高画質な画像を学生はアップロードします．';
    echo 'サイズの大きな画像を含むWikiページを表示するには時間が掛かりますので，';
    echo 'ほどほどの値（例えば65536=128KB程度）に留めておくのが無難です．';
    newline();
    echo '　設定値はお手数ですが，バイト単位の整数値で指定して下さい．byteやKBなどの単位は無効です．';
    newline();
    newline();
    echo '　現在，'.color_blue('$fsCFG->ewiki_image_maxsize').'が';
    if (!isset($fsCFG->ewiki_image_maxsize)) {
        echo '設定されていませんので，最大値は'.color_blue('デフォルトの値（64KB）のまま').'です．';
    } else {
        echo color_blue(display_size($fsCFG->ewiki_image_maxsize).'('.$fsCFG->ewiki_image_maxsize.'byte)');
        echo 'に設定されています．';
    }
    print_fs_cfg_condition('ewiki_image_maxsize');
    print_subsection_footer();
    print_section_footer();
}

fsconfig_check_wikiSettings();

?>